vec3 shadow_position(vec3 position){
    position = trans_mad(shadowModelView, position);
    position = proj_mad(shadowProjection, position);

    return position;
}

float bias_distortion(shadow_settings s, vec2 position){
    return length(position * 1.167) * s.bias + (1.0 - s.bias);
}

vec2 shadow_distortion(shadow_settings s, vec2 position){
    return position / bias_distortion(s, position);
}

vec3 shadow_distortion(shadow_settings s, vec3 position){
    position.xy = shadow_distortion(s, position.xy);
    position.z *= s.depth;

    return position;
}

