#if defined SHADERS_VERTEX
    out vec2 coord;

    void main(){
        coord = layout_texcoord.xy;

        gl_Position = vec4(coord * 2.0 - 1.0, 0.0, 1.0);
    }
#elif defined SHADERS_FRAGMENT
    in vec2 coord;

    #include "/program/shaders2/common/taa.glsl"

    void main(){
        vec3 color = temporal_aa(coord);

        buffers0.xyz = color;
        buffers0.w = texture2(colortex5, coord).w;

        /* RENDERTARGETS:5 */
    }
#endif